// $Id: jquery.netforum.js,v 1.3 2009/04/05 18:58:18 jamesmichaelhill Exp $


if (Drupal.jsEnabled){
  $(document).ready(function(){
    //first step, bind to the change event for our function drop down list
    $('#edit-netforum-request').change(function(){
        return updateParameterForm();
      });
      //second step, swap out the four default parameters that drupal renders
      //and swap in the parameters for whatever is selected
      updateParameters();
  });
}

//this is just a wrapper to animate the form changes
function updateParameterForm() {
  $('#parameters').hide("fast", function() {updateParameters();});
  $('#parameters').show("normal");
}


//This function looks at the selected function, references it with an array placed in the page
//header by the drupal render, and adjusts the fields displayed.  They are all named
//netforum_param_1, netforum_param_2, etc
function updateParameters() {
  
  var fname = $('#edit-netforum-request').val();
  
  //the xweb_functions variable is included in the head of the page by the module.
  //it is an array with the function names and the parameters listed
  var len = xweb_functions[fname].length;
  var pnum = 0;
  $('#parameters').empty();
  for(i = 0; i<len; i++) {
    pnum = i+1;
    newDiv = document.createElement('div');
  	newDiv.setAttribute('id', 'custom_'+i);
  	//newDiv.setAttribute('style', 'display: none');
  	newDiv.setAttribute('class', 'form-item');

  	newLabel = document.createElement('label');
  	newLabel.setAttribute('for', 'edit-netforum-param-'+pnum);
  	newLabel.innerHTML = xweb_functions[fname][i]+":";
  	newDiv.appendChild(newLabel);

  	newInput = document.createElement('input');
  	newInput.setAttribute('type', 'text');
  	newInput.setAttribute('maxlength', '2000');
  	newInput.setAttribute('name', 'netforum_param_'+pnum);
  	newInput.setAttribute('id', 'edit-netforum-param-'+pnum);
  	newInput.setAttribute('size', 60);
  	newInput.setAttribute('class', 'form-text');
  	if (typeof form_defaults != "undefined" && form_defaults[fname]) {
  	  newInput.value = form_defaults[fname]['netforum_param_'+pnum];  	  
  	}
  	newDiv.appendChild(newInput);

  	$('#parameters').append(newDiv);	
  }
}
